/*static char *SCCSID = "@(#)sigxport.h	6.1 90/11/17";*/
/*	SCCSID = @(#)sigxport.h	13.3 90/09/06 */

//	Flag values for SetSignalExceptionFocus

#define SIG_SETFOCUS	1			// Set focus
#define SIG_RESETFOCUS	0			// Reset focus

//	Signal Constants

#define SIG_MAXSF	0x0000FFFF		// Maximum # nested SetFoc.

/* Exported Procedures */
extern VOID  SIGGetMustComplete(PTCB ptcb, PUSHORT pusMCCount);
extern ULONG SIGSetMustCompleteFlag(PTCB pTCB);
extern ULONG _cdecl VR32SetSigExceptionFocus(THUNKSEF sef, ULONG fOperation,
					    PULONG pulNesting);
extern ULONG _cdecl VR32SendSignalException(THUNKSEF sef, PID pid,
					   ULONG ulExceptNum);
extern ULONG SIGApiSendSignalException(PID pid, ULONG ulExceptNum);
extern VOID  SIGPsig(ULONG ulSigNum, PTCB pTCB);
extern ULONG SIGPostException(ULONG ulExceptNum, PTCB ptcb);
extern VOID PASCAL SIGPostPendingHook();

/* XLATOFF */
extern struct FarPtr	pfnSigFlatDispatch;	// 32-bit Signal dispatcher
extern struct FarPtr	pfnSigDispatch;		// 16-bit Signal dispatcher

//	Access to SigFocus Array

extern	struct SigFoci SigFocus[];

//	External procedure definitions

extern	VOID	SigResetSigFocus(unsigned long);

/***EP	SIGNumToMask - Convert Signal number to a mask
 *
 *	SIGNumToMask is a macro to convert a signal number to a signal
 *	mask.
 */
#define SIGNumToMask(SigNum) (1 << (((ULONG)SigNum & 0x0000000F)- 1))

/* XLATON */
